package edu.byu.cs240.bookclub.model;

public class Book extends Identifiable {

	private String _title;
	private String _author;
	private Genre _genre;
	
	public Book() {
		return;
	}
	
	public Book(String title, String author, Genre genre) {
		setTitle(title);
		setAuthor(author);
		setGenre(genre);
	}
	
	public Book(int id, String title, String author, Genre genre) {
		super(id);
		setTitle(title);
		setAuthor(author);
		setGenre(genre);
	}
	
	public String getTitle() {
		return _title;
	}
	
	public void setTitle(String title) {
		_title = title;
	}
	
	public String getAuthor() {
		return _author;
	}
	
	public void setAuthor(String author) {
		_author = author;
	}
	
	public Genre getGenre() {
		return _genre;
	}
	
	public void setGenre(Genre genre) {
		_genre = genre;
	}
	
	public Book copy() {
		Book result = new Book();
		
		result._title = _title;
		result._author = _author;
		result._genre = _genre;
		
		return result;
	}
	
	public void copyFrom(Book other) {
		_title = other._title;
		_author = other._author;
		_genre = other._genre;
	}

}
